# org.apache.cassandra.io.compress

## Interfaces

- ICompressor

## Classes

- CompressedRandomAccessReader
- CompressedSequentialWriter
- CompressedSequentialWriter.CompressedFileWriterMark
- CompressedThrottledReader
- CompressionMetadata
- CompressionMetadata.Chunk
- CompressionMetadata.Writer
- CompressionParameters
- DeflateCompressor
- LZ4Compressor
- SnappyCompressor

## Enums

- BufferType

## Exceptions

- CorruptBlockException